
<!DOCTYPE HTML>
<html lang="" >
    <head>
        <meta charset="UTF-8">
        <meta content="text/html; charset=utf-8" http-equiv="Content-Type">
        <title>Introdução · GitBook</title>
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="description" content="">
        <meta name="generator" content="GitBook 3.2.3">
        
        
        
    
    <link rel="stylesheet" href="gitbook/style.css">

    
            
                
                <link rel="stylesheet" href="gitbook/gitbook-plugin-highlight/website.css">
                
            
                
                <link rel="stylesheet" href="gitbook/gitbook-plugin-search/search.css">
                
            
                
                <link rel="stylesheet" href="gitbook/gitbook-plugin-fontsettings/website.css">
                
            
        

    

    
        
    
        
    
        
    
        
    
        
    
        
    

        
    
    
    <meta name="HandheldFriendly" content="true"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <link rel="apple-touch-icon-precomposed" sizes="152x152" href="gitbook/images/apple-touch-icon-precomposed-152.png">
    <link rel="shortcut icon" href="gitbook/images/favicon.ico" type="image/x-icon">

    
    <link rel="next" href="Vagrant.html" />
    
    

    </head>
    <body>
        
<div class="book">
    <div class="book-summary">
        
            
<div id="book-search-input" role="search">
    <input type="text" placeholder="Type to search" />
</div>

            
                <nav role="navigation">
                


<ul class="summary">
    
    

    

    
        
        
    
        <li class="chapter active" data-level="1.1" data-path="./">
            
                <a href="./">
            
                    
                    Introdução
            
                </a>
            

            
        </li>
    
        <li class="chapter " data-level="1.2" data-path="Vagrant.html">
            
                <a href="Vagrant.html">
            
                    
                    Vagrant
            
                </a>
            

            
        </li>
    
        <li class="chapter " data-level="1.3" data-path="Ansible.html">
            
                <a href="Ansible.html">
            
                    
                    Ansible
            
                </a>
            

            
        </li>
    
        <li class="chapter " data-level="1.4" data-path="Docker.html">
            
                <a href="Docker.html">
            
                    
                    Docker
            
                </a>
            

            
        </li>
    
        <li class="chapter " data-level="1.5" data-path="GitBook.html">
            
                <a href="GitBook.html">
            
                    
                    GitBook
            
                </a>
            

            
        </li>
    

    

    <li class="divider"></li>

    <li>
        <a href="https://www.gitbook.com" target="blank" class="gitbook-link">
            Published with GitBook
        </a>
    </li>
</ul>


                </nav>
            
        
    </div>

    <div class="book-body">
        
            <div class="body-inner">
                
                    

<div class="book-header" role="navigation">
    

    <!-- Title -->
    <h1>
        <i class="fa fa-circle-o-notch fa-spin"></i>
        <a href="." >Introdução</a>
    </h1>
</div>




                    <div class="page-wrapper" tabindex="-1" role="main">
                        <div class="page-inner">
                            
<div id="book-search-results">
    <div class="search-noresults">
    
                                <section class="normal markdown-section">
                                
                                <h1 id="configura&#xE7;&#xE3;o-do-ambiente">Configura&#xE7;&#xE3;o do ambiente</h1>
<p>Para realiza&#xE7;&#xE3;o dos labs ser&#xE1; necess&#xE1;rio a instala&#xE7;&#xE3;o do VirtualBox e Vagrant.</p>
<h2 id="instala&#xE7;&#xE3;o-virtualbox">Instala&#xE7;&#xE3;o VirtualBox</h2>
<p>Para instalar o VirtualBox, basta clicar no <a href="https://download.virtualbox.org/virtualbox/6.1.26/VirtualBox-6.1.26-145957-Win.exe" target="_blank">link</a>, realizar o download do execut&#xE1;vel e instala-lo.</p>
<p>Distribui&#xE7;&#xF5;es Linux devem seguir os passos descritos <a href="https://www.virtualbox.org/wiki/Linux_Downloads" target="_blank">aqui</a>.</p>
<h2 id="instala&#xE7;&#xE3;o-vagrant">Instala&#xE7;&#xE3;o Vagrant</h2>
<p>Para instalar o Vagrant, basta clicar no link <a href="https://releases.hashicorp.com/vagrant/2.2.18/vagrant_2.2.18_i686.msi" target="_blank">x86</a> ou <a href="https://releases.hashicorp.com/vagrant/2.2.18/vagrant_2.2.18_x86_64.msi" target="_blank">x64</a>, realizar o download do execut&#xE1;vel e instala-lo.</p>
<h2 id="instala&#xE7;&#xE3;o-ansible">Instala&#xE7;&#xE3;o Ansible</h2>
<p>Para instalar o Ansible execute os comandos abaixo:</p>
<pre><code class="lang-sh">sudo apt-add-repository ppa:ansible/ansible -y
sudo apt-get update &amp;&amp; sudo apt-get install ansible -y
</code></pre>
<h2 id="instala&#xE7;&#xE3;o-docker">Instala&#xE7;&#xE3;o Docker</h2>
<p>Para instalar o Docker execute o comando abaixo:</p>
<pre><code class="lang-sh">curl -fsSL https://get.docker.com | sh
</code></pre>

                                
                                </section>
                            
    </div>
    <div class="search-results">
        <div class="has-results">
            
            <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
            <ul class="search-results-list"></ul>
            
        </div>
        <div class="no-results">
            
            <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
            
        </div>
    </div>
</div>

                        </div>
                    </div>
                
            </div>

            
                
                
                <a href="Vagrant.html" class="navigation navigation-next navigation-unique" aria-label="Next page: Vagrant">
                    <i class="fa fa-angle-right"></i>
                </a>
                
            
        
    </div>

    <script>
        var gitbook = gitbook || [];
        gitbook.push(function() {
            gitbook.page.hasChanged({"page":{"title":"Introdução","level":"1.1","depth":1,"next":{"title":"Vagrant","level":"1.2","depth":1,"path":"Vagrant.md","ref":"Vagrant.md","articles":[]},"dir":"ltr"},"config":{"gitbook":"*","theme":"default","variables":{},"plugins":[],"pluginsConfig":{"highlight":{},"search":{},"lunr":{"maxIndexSize":1000000,"ignoreSpecialCharacters":false},"sharing":{"facebook":true,"twitter":true,"google":false,"weibo":false,"instapaper":false,"vk":false,"all":["facebook","google","twitter","weibo","instapaper"]},"fontsettings":{"theme":"white","family":"sans","size":2},"theme-default":{"styles":{"website":"styles/website.css","pdf":"styles/pdf.css","epub":"styles/epub.css","mobi":"styles/mobi.css","ebook":"styles/ebook.css","print":"styles/print.css"},"showLevel":false}},"structure":{"langs":"LANGS.md","readme":"README.md","glossary":"GLOSSARY.md","summary":"SUMMARY.md"},"pdf":{"pageNumbers":true,"fontSize":12,"fontFamily":"Arial","paperSize":"a4","chapterMark":"pagebreak","pageBreaksBefore":"/","margin":{"right":62,"left":62,"top":56,"bottom":56}},"styles":{"website":"styles/website.css","pdf":"styles/pdf.css","epub":"styles/epub.css","mobi":"styles/mobi.css","ebook":"styles/ebook.css","print":"styles/print.css"}},"file":{"path":"README.md","mtime":"2021-10-01T02:26:59.123Z","type":"markdown"},"gitbook":{"version":"3.2.3","time":"2021-10-04T12:07:47.563Z"},"basePath":".","book":{"language":""}});
        });
    </script>
</div>

        
    <script src="gitbook/gitbook.js"></script>
    <script src="gitbook/theme.js"></script>
    
        
        <script src="gitbook/gitbook-plugin-search/search-engine.js"></script>
        
    
        
        <script src="gitbook/gitbook-plugin-search/search.js"></script>
        
    
        
        <script src="gitbook/gitbook-plugin-lunr/lunr.min.js"></script>
        
    
        
        <script src="gitbook/gitbook-plugin-lunr/search-lunr.js"></script>
        
    
        
        <script src="gitbook/gitbook-plugin-sharing/buttons.js"></script>
        
    
        
        <script src="gitbook/gitbook-plugin-fontsettings/fontsettings.js"></script>
        
    

    </body>
</html>

